View Issue Details

IDProjectCategoryView StatusLast Update
0003467Expressions[FreeCAD] Bugpublic2018-11-14 12:26
ReporterJCR84JAssigned Toeivindkvedalen 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
PlatformFreeCAD: 64-bit 0.17.13519 (Git)OS Windows 10 64-bitOS Version1803
Product Version[FreeCAD] 0.17 
Target VersionFixed in Version[FreeCAD] 0.18 
Summary0003467: Merge Project command and rename of expressions referring to cells of Spreadsheets
DescriptionHi,
The “Merge project…” command renames the Spreadsheet Label of the Merged project (Spreasdsheet001, 002, ... ) in accordance with the active Project in which the Merged project is going to be included but forget to rename the correspondent Data properties expressions of Solid/Sketch which refer to the Spreadsheet of the merged project (stay Spreadsheet without any suffix in expressions), the Label of which has been changed.

Other explanation is made in Topic Merge Project command and Spreadsheets

Sincerely
JCR84J

Steps To ReproducePlease find details, example and files attached in Topic Merge Project command and Spreadsheets


 
Additional InformationDon't hesitate to joined me (JCR84J) in PM if the here above explanation is not sufficient.
TagsNo tags attached.

Relationships

related to 0003462 closedwmayer Rename command - Rename of Spreadsheet in Document structure 

Activities

JCR84J

2018-05-09 06:28

reporter  

JCR84J

2018-05-09 06:32

reporter   ~0011241

I attached the picture "Data Properties expressions which refer to cells of Spreadsheet" which illustrates the bug.

Kunda1

2018-05-29 19:41

administrator   ~0011297

@eivindkvedalen please weigh in at your convenience, thanks!

wmayer

2018-11-14 12:26

administrator   ~0012195

https://github.com/FreeCAD/FreeCAD/commit/de074ec4f37ee8baf4c268a3bc528f4bddf8ac15

Issue History

Date Modified Username Field Change
2018-05-09 06:28 JCR84J New Issue
2018-05-09 06:28 JCR84J File Added: Data Properties expressions which refer to cells of Spreadsheet.jpg
2018-05-09 06:32 JCR84J Note Added: 0011241
2018-05-14 01:17 Kunda1 Project FreeCAD => Expressions
2018-05-29 19:41 Kunda1 Assigned To => eivindkvedalen
2018-05-29 19:41 Kunda1 Status new => assigned
2018-05-29 19:41 Kunda1 Note Added: 0011297
2018-11-14 12:25 wmayer Relationship added related to 0003462
2018-11-14 12:26 wmayer Status assigned => closed
2018-11-14 12:26 wmayer Resolution open => fixed
2018-11-14 12:26 wmayer Fixed in Version => 0.18
2018-11-14 12:26 wmayer Note Added: 0012195